-- Turbine Imports
import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";

import "RadicusPlugins.RaidGuy.IconButton";
import "RadicusPlugins.RaidGuy.DropDown";
import "RadicusPlugins.RaidGuy.Warcrys";
import "RadicusPlugins.RaidGuy.Window";

version = "v1.90";

Turbine.Shell.WriteLine("RaidGuy " .. version .. " Checked & Ready... " .. MaxWarcrys .. " Warcrys Loaded! Attack!");

Turbine.Plugin.Unload = function (sender, args)
	local Settings={}
	Settings["WindState"]=wRaidGuy:IsVisible();
	Settings["IconPosX"]=IconButton:GetLeft();
	Settings["IconPosY"]=IconButton:GetTop();
	Settings["WindPosX"]=wRaidGuy:GetLeft();
	Settings["WindPosY"]=wRaidGuy:GetTop();
	Turbine.PluginData.Save(Turbine.DataScope.Character, "RaidGuySettings", Settings);
end

-- HidePanel on F12
local HidePanel = false;
Panel = wRaidGuy;
Panel:SetWantsKeyEvents(true);
Panel.KeyDown = function(sender, args)
	if (args.Action == 268435635) then
		if HidePanel == false then
			HidePanel = true;
			IconButton:SetVisible(false);
			if Panel:IsVisible() == true then
				PanelVisible = true;
				Panel:SetVisible(false);
			else
				PanelVisible = false;
			end
		else
			HidePanel = false;
			IconButton:SetVisible(true);
			if PanelVisible == true then
				Panel:SetVisible(true);
			end
		end
	end
end
